org.eclipse.emf.cdo.server.spi.security

## Class HomeFolderHandler.Factory

- java.lang.Object
- - org.eclipse.net4j.util.factory.Factory
  - - org.eclipse.emf.cdo.server.spi.security.InternalSecurityManager.CommitHandler.Factory
    - - org.eclipse.emf.cdo.server.spi.security.HomeFolderHandler.Factory

- All Implemented Interfaces:
    IManagedContainer.ContainerAware, IFactory
  Enclosing class:
    HomeFolderHandler

      public static class HomeFolderHandler.Factory
      extends InternalSecurityManager.CommitHandler.Factory
      implements IManagedContainer.ContainerAware

  Creates `InternalSecurityManager.CommitHandler` instances.
  Author:
    Eike Stepper

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.emf.cdo.server.spi.security.InternalSecurityManager.CommitHandler.Factory

      `PRODUCT_GROUP`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Factory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `InternalSecurityManager.CommitHandler` | `create(java.lang.String homeFolder)`
    `void` | `setManagedContainer(IManagedContainer container)`

    - ### Methods inherited from class org.eclipse.net4j.util.factory.Factory

      `getDescriptionFor, getKey, getProductGroup, getType, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Factory

          public Factory()

  - ### Method Detail

    - #### setManagedContainer

          public void setManagedContainer(IManagedContainer container)

      Specified by:
        `setManagedContainer` in interface `IManagedContainer.ContainerAware`

    - #### create

          public InternalSecurityManager.CommitHandler create(java.lang.String homeFolder)
                                                       throws ProductCreationException

      Specified by:
        `create` in interface `IFactory`
      Specified by:
        `create` in class `InternalSecurityManager.CommitHandler.Factory`
      Throws:
        `ProductCreationException`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html